<?xml version="1.0"?>
<project name="ListSchedule" default="example1">
	
	<path id="classpath">
		<pathelement location="../../classes"/>
		<pathelement location="../../lib/log4j-1.2.8.jar"/>
	</path>
	
	<taskdef name="antwait" classname="org.treesched.examples.AntWait">
		<classpath refid="classpath"/>
	</taskdef>

	<target name="example1">

		<antwait>
			<schedule>
				<!-- Monday to friday from 10pm. -->
				<day-of-week from="mon" to="fri">
					<time from="22:00" to="07:00"/>
				</day-of-week>
			</schedule>
		</antwait>

		<echo message="Doing something useful."/>
	</target>
	
</project>
